Remove group member

Removes a group member.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
❗️

Make sure that you have appropriate access control configured. For more information, see access group documentation.

Example request

curl --location --request DELETE 'https://eu.api.capillarytech.com/v2/userGroup2/3962910/leave?source=INSTORE&identifierName=mobile&identifierValue=918095467895' \
--header 'Authorization: Basic bWFkaHVfcmltYTowZjAwNmZlNGM4ZjFhNmRjMmI2ZDI1N2NkNzI3MjU2YQ==' \
--header 'Cookie: _cfuvid=vzCvOnzGrFLOd.qyWq3C1wR4U_d0NN8lePwtil_RTVU-1774957797145-0.0.1.1-604800000'

Path parameters

Path ParameterData typeDescription
groupIdLongThe ID of the group.

Query parameters

Query parametersData typeMandatoryDescription
sourceStringrequiredSource in which the customer identifier is registered.
accountIdStringnot requiredUnique account ID for sources with multiple accounts. Not applicable for the INSTORE source.
identifierNameStringrequiredIdentifier type used to identify the customer. The supported identifiers are mobile, email, externalId, cardnumber, and cardExternalId.
identifierValueStringrequiredValue of the identifierName passed. For example, identifierName=cardExternalId&identifierValue=cardUUID123

Example response

{
    "warnings": [],
    "errors": [],
    "success": true
}

Response parameters

ParameterDescription
warningsThis is an array containing any warning messages generated during the processing of the request.
errorsThis is an array containing any error messages that were generated if the request failed for some reason.
successThis is a boolean value indicating whether the request was successful.
Path Params
string
required

Unique ID of the group from which member needs to be deleted.

Query Params
string
enum
required

Source in which the customer identifier is registered.

Allowed:
string

Unique account ID for sources with multiple accounts. Not applicable for the INSTORE source.

string
enum
required

Identifier type used to identify the customer.

Allowed:
string
required

Value of the identifierName passed. For example, identifierName=cardExternalId&identifierValue=cardUUID123

Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json